<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Services\MqttService;

class MqttListenCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'mqtt:listen';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Listen for MQTT messages';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $mqtt = new MqttService();
        $mqtt->subscribe('topic/nutrisi', function (string $topic, string $message) {
            // Proses pesan yang diterima
            \Log::info("Pesan dari $topic: $message");
            // Anda bisa menyimpan pesan ke database atau melakukan tindakan lainnya
        });
    }
}
