<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Waterflow1 extends Model
{
    use HasFactory;

    // Nama tabel yang dihubungkan dengan model ini
    protected $table = 'waterflow1';

    // Primary key dari tabel ini
    protected $primaryKey = 'id';

    // Menonaktifkan timestamps jika tabel tidak memiliki kolom created_at dan updated_at
    public $timestamps = false;

    // Daftar kolom yang boleh diisi secara massal
    protected $fillable = ['arus', 'total', 'tanggal'];
}
