@extends('layouts.app')
@section('content')
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Tentang Kami</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: 'Roboto;
            margin: 0;
            padding: 0;
            background-color: #f9fafb;
            color: #333;
        }
        header {
            background-color: #4a5568; /* Warna latar belakang */
            color: white;
            border-bottom: 1px solid #e2e8f0; /* Garis bawah */
            padding: 1rem; /* Ruang dalam */
            display: flex; /* Menggunakan flexbox */
            align-items: center; /* Menyamakan tinggi elemen di dalam header */
            justify-content: center; /* Pusatkan konten header */
        }
        header span {
            font-size: 1.5rem;
            font-weight: bold;
        }
        .content {
            background-color: #fff; /* Warna latar belakang putih */
            color: #2d3748; /* Warna teks abu-abu gelap */
            padding: 2rem; /* Ruang dalam */
            text-align: center; /* Pusatkan konten */
            margin: 2rem auto; /* Jarak luar dan pusatkan elemen content */
            max-width: 600px; /* Batasi lebar elemen content */
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Bayangan kotak */
            border-radius: 8px; /* Sudut membulat */
        }
        .content h4 {
            color: #6A0DAD; /* Warna teks ungu dalam format heksadesimal */
            font-size: 1.25rem;
            margin-bottom: 1rem; /* Jarak bawah */
        }
        .content img {
            max-width: 100%; /* Maksimalkan lebar gambar */
            height: auto; /* Sesuaikan tinggi gambar */
            border-radius: 8px; /* Sudut gambar membulat */
        }
    </style>
</head>
<body>
    <header>
        <span>Tentang Kami</span>
    </header>
    <div class="content">
        <h4>Website ini adalah aplikasi untuk monitoring dan kontrol pada mesin nutrisi hidroponik berbasis IoT.</h4>
        <h4>Tugas Akhir Hifni Dana Abdillah Teknik Komputer Angkatan 2021</h4>
        <img src="/images/hidro.png" alt="Hidroponik">
    </div>
</body>
</html>
@endsection
